<?php empty( $itsOK ) and die( 'OY! No!' ); ?>
<div class="wrap">
	<h2>Google Chrome Frame Options</h2>
	<form action="options.php" method="post">
		<?php wp_nonce_field( 'update-options' ); ?>
		<input type="hidden" name="action" value="update" />
		<input type="hidden" name="page_options" value="chrome_frame_notif_type,chrome_frame_notif_once" />
		<table class="form-table">
			<tr valign="top">
				<th scope="row">Notification Type:</th>
				<td>
				
				<?php 	$current = get_option( 'chrome_frame_notif_type' ); 
					if( false === $current )
						add_option( 'chrome_frame_notif_type', CHROME_FRAME_NOTIF_TYPE_NONE );
				
				?>



				<label><input name="chrome_frame_notif_type" type="radio" value="<?php echo CHROME_FRAME_NOTIF_TYPE_NONE, 
					$current == CHROME_FRAME_NOTIF_TYPE_NONE || empty( $current ) ?
					'" checked="checked' : ''
					?>"/>&nbsp;<strong>None</strong></label><br />
				<p style="font-size: .9em">
					Choosing this option will only make any visitor on Internet Explorer view your blog
					using the Google Chrome Frame add-on, if they have it installed.
					If you like web standards and you want your blog to move smoothly, taking full advantage of Chrome's
					poweful V8 Javascript engine, but you don't want to nag your IE visitors at all, choose this option.
				</p>

				<label><input name="chrome_frame_notif_type" type="radio" value="<?php echo CHROME_FRAME_NOTIF_TYPE_HUGE, 
					$current == CHROME_FRAME_NOTIF_TYPE_HUGE ? 
					'" checked="checked' : ''
					?>"/>&nbsp;<strong>Huge Message Box that Google Provides for Us</strong></label><br />
				<p style="font-size: .9em">
					Choosing this option will also make your blog to be rendered using the Google Chrome Frame add-on for IE,
					but if the visitor does not have the add-on installed, a window (not a pop-up) will appear, prompting the 
					user to install the add-on.<br />
					The window is generated using Google's own script, so you're definitely on the safe side.<br />
					If you feel IE has no chance of losing market share, but care about the wellbeing of webdevelopers, like the
					ones that built your Wordpress Theme, or you just want to help Google in their quest to spred the add-on to
					as many Internet Explorer users as possible, choose this option.
				</p>
				<label><input type="radio" name="chrome_frame_notif_type" value="<?php echo CHROME_FRAME_NOTIF_TYPE_ONCE; ?>" 
					<?php echo $current == CHROME_FRAME_NOTIF_TYPE_ONCE ? ' checked="checked" ' : ''; 
					?>/>&nbsp;<strong>Show the install prompt only once</strong></label>
				<p style="font-size: .9em">
					Choosing this option will produce the same effect as the one above ( 
					<em>Huge Message Box that Google Provides for Us </em> 
					) with one difference:<br />
					The install prompt will be displayed only once per visit.<br />
					If you like fast rendering, standards compliand browsers, and you want to lend Google a helping hand, 
					but you don't want to nag your IE visitors a lot, choose this option.
				</p>

				</td>
			</tr>
			<tr>
				<td colspan="2"><input type="submit" class="button-primary" value="GO, GO" /></td>
			</tr>
		</table>
	</form>

</div>
<?php
	unset( $current );
